Bug 1369473 - running virt-who in big vmware environments results in to fast growing logfiles
Summary: running virt-who in big vmware environments results in to fast growing logfiles
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.3
Hardware: All
OS: All
high
medium
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Eko
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1292736
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-23 13:51 UTC by Marcel Kolaja
Modified: 2016-12-20 17:27 UTC (History)
17 users (show)

(edit)
Previously, virt-who was very verbose when writing to its log file. As a result, the log file grew very quickly, especially in large environments. Now, virt-who logs significantly less information in non-debug mode, and the log file thus grows slower.
Clone Of: 1292736
(edit)
Last Closed: 2016-12-20 17:27:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2964 normal SHIPPED_LIVE virt-who bug fix update 2016-12-20 22:26:36 UTC
Red Hat Knowledge Base (Solution) 2049753 None None None 2016-08-23 13:52 UTC

Description Marcel Kolaja 2016-08-23 13:51:53 UTC
This bug has been copied from bug #1292736 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Radek Novacek 2016-08-23 13:59:48 UTC
Devel ack is granted.

Comment 5 Radek Novacek 2016-09-01 11:26:05 UTC
Fixed in virt-who-0.14-9.el7_2.2.

Comment 9 Eko 2016-09-08 09:22:08 UTC
Waiting for a new virt-who build for https://bugzilla.redhat.com/show_bug.cgi?id=1372187, and then will push the ETA as soon as possible.

Comment 10 Radek Novacek 2016-09-08 10:52:36 UTC
Fix for this issue was incorrect, new version is now built: virt-who-0.14-9.el7_2.3

Comment 11 Eko 2016-09-09 01:56:01 UTC
verified with virt-who-0.14-9.el7_2.3.noarch.rpm

======= if VIRTWHO_DEBUG=0, rhsm.log will show the json info ========
2016-09-09 09:46:43,808 [INFO]  @virtwho.py:706 - Using configuration "env/cmdline" ("esx" mode)
2016-09-09 09:46:43,809 [DEBUG]  @virtwho.py:219 - Starting infinite loop with 3600 seconds interval
2016-09-09 09:46:43,841 [DEBUG]  @esx.py:55 - Log into ESX
2016-09-09 09:46:44,047 [DEBUG]  @esx.py:58 - Creating ESX event filter
2016-09-09 09:46:44,127 [DEBUG]  @esx.py:142 - Waiting for ESX changes
2016-09-09 09:46:44,130 [DEBUG]  @subscriptionmanager.py:112 - Authenticating with certificate: /etc/pki/consumer/cert.pem
2016-09-09 09:46:44,315 [DEBUG]  @subscriptionmanager.py:152 - Checking if server has capability 'hypervisor_async'
2016-09-09 09:46:44,492 [DEBUG]  @subscriptionmanager.py:164 - Server does not have 'hypervisors_async' capability
2016-09-09 09:46:44,493 [INFO]  @subscriptionmanager.py:173 - Sending update in hosts-to-guests mapping: 1 hypervisors and 1 guests found
2016-09-09 09:46:44,493 [DEBUG]  @subscriptionmanager.py:174 - Host-to-guest mapping: {
    "c74a4d56-677e-dd13-828f-617c5cdf0329": [
        {
            "guestId": "420680ea-2e6d-8035-843f-3c920e587e22", 
            "state": 5, 
            "attributes": {
                "active": 0, 
                "virtWhoType": "esx", 
                "hypervisorType": "vmware"
            }
        }
    ]
}


======== if VIRTWHO_DEBUG=1, rhsm.log will not show json info ==========
2016-09-09 09:46:26,531 [INFO]  @virtwho.py:706 - Using configuration "env/cmdline" ("esx" mode)
2016-09-09 09:46:27,229 [INFO]  @subscriptionmanager.py:173 - Sending update in hosts-to-guests mapping: 1 hypervisors and 1 guests found

Comment 13 Eko 2016-09-28 01:58:44 UTC
Hi Dhananjay,

The errata[1] is in progress, it should be released on 2016-Oct-26, 

In addition, the customer can download and install the latest virt-who package from satellite6.2 tools channel if sat6.2 is deployed in customer environment.

[1] https://errata.devel.redhat.com/advisory/24678

Comment 19 errata-xmlrpc 2016-12-20 17:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2964.html


Note You need to log in before you can comment on or make changes to this bug.